YUBIHSM-AUTH(1)

NAME
yubihsm-auth - manual page for yubihsm-auth 2.7.1

SYNOPSIS
yubihsm-auth [OPTION]...

DESCRIPTION

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-a, --action=ENUM
    Action to perform (possible values="calculate", "change-mgmkey", "delete", "list", "put", "reset", "retries", "version", "get-challenge", "get-pubkey")

-k, --mgmkey=STRING
    Management key is required to put and delete credentials. Sometimes, this key is also referenced as 'Admin Access Code' (default=`00000000000000000000000000000000')

-K, --new-mgmkey=STRING
    New management key (default=`')

-p, --credpwd=STRING
    Credential password is used to access the credential when logging into the YubiHSM2. Sometimes, this password is also referenced as 'User Access Code' (default=`')

-l, --label=STRING
    Credential label (default=`')

-r, --reader=STRING
    Only use a matching reader (default=`')

-t, --touch=ENUM
    Touch required (possible values="off", "on" default=`off')

-c, --context=STRING
    Session keys calculation context (default=`')

-v, --verbose[=INT]
    Print more information (default=`0')

    Mode: derivation

    Derive keys from a password using PBKDF2 -d, --derivation-password=STRING

Derivation password for encryption and MAC keys
    (default=`')

    Mode: explicit

    Explicit encryption and MAC keys -e, --enckey=STRING Encryption key (default=`') -m, --mackey=STRING MAC key (default=`')

    Mode: asymmetric

    Explicit ec-p256 private key -s, --privkey=STRING Private key (default=`')